de.dhbwstuttgart.syntaxtree

## Class ClassBody

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.ClassBody

-     public class ClassBody
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Menge<Field>` | `fielddecl`
    `java.util.Hashtable<Type,Type>` | `kill`
    `protected static Logger` | `parserlog`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassBody()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addField(Field i)`
    `Menge<Field>` | `getFields()`
    `boolean` | `is_declared(Type t, Menge<Class> classlist)`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `(package private) static java.lang.String` | `string_rec(java.util.Hashtable ht)`
    `(package private) static java.lang.String` | `string_rec(java.lang.String st, java.util.Hashtable ht)`
    `(package private) static java.lang.String` | `string_rec(java.lang.String st, Menge v)`
    `java.lang.String` | `toString()` Author: Martin PlÃ¯Â¿Â½micke

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fielddecl

          private Menge<Field> fielddecl

    - #### kill

          public java.util.Hashtable<Type,Type> kill

    - #### parserlog

          protected static Logger parserlog

  - ### Constructor Detail

    - #### ClassBody

          public ClassBody()

  - ### Method Detail

    - #### getFields

          public Menge<Field> getFields()

    - #### addField

          public void addField(Field i)

      Parameters:
        `feld` -

    - #### is_declared

          public boolean is_declared(Type t,
                                     Menge<Class> classlist)
                              throws SCClassBodyException

      Throws:
        `SCClassBodyException`

    - #### string_rec

          static java.lang.String string_rec(java.util.Hashtable ht)

    - #### string_rec

          static java.lang.String string_rec(java.lang.String st,
                                             java.util.Hashtable ht)

    - #### string_rec

          static java.lang.String string_rec(java.lang.String st,
                                             Menge v)

    - #### toString

          public java.lang.String toString()

      Author: Martin PlÃ¯Â¿Â½micke
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)